/* mbMod.h */

#include "myTypedef.h"

void powerMod(mb& z, const mb& b, const mb& m, INT32 k, const mb& n);
bool Miller_Rabin(const mb& n);
bool isItPrime(const mb& x, INT32 numTrials);
void myModulus(mb& z, const mb& x, const mb& n);
bool invMod(mb& z, const mb& x, const mb& y);
